/* Estilos básicos para el modal */
.modal {
  display: none; /* Oculto por defecto */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
}

/* Imagen en el modal */
.modal-content {
  display: block;
  margin: auto;
  max-width: 90%;
  max-height: 90%;
}

/* Botón de cierre (la "X") */
.modal-close {
  position: absolute;
  top: 20px;
  right: 35px;
  color: red !important; /* Cambiado para verificar visibilidad */
  background-color: black; /* Fondo negro para destacar la 'X' */
  font-size: 30px !important;
  font-weight: bold;
  z-index: 1001 !important; /* Asegúrate de que esté sobre el modal */
  cursor: pointer;
}


.modal-close:hover,
.modal-close:focus {
  color: #bbb;
  text-decoration: none;
}

/* Texto del pie de foto */
#caption {
  color: #ccc;
  font-size: 16px;
  text-align: center;
  margin: 15px 0;
}
